Create user
curl --request POST \
--url https://{tenant}.cubecloud.dev/api/scim/v2/Users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "jane@example.com",
"name": {
"givenName": "Jane",
"familyName": "Doe"
},
"emails": [
{
"value": "jane@example.com",
"primary": true
}
],
"active": true
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/scim/v2/Users"
payload = {
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
"userName": "jane@example.com",
"name": {
"givenName": "Jane",
"familyName": "Doe"
},
"emails": [
{
"value": "jane@example.com",
"primary": True
}
],
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemas: ['urn:ietf:params:scim:schemas:core:2.0:User'],
userName: 'jane@example.com',
name: {givenName: 'Jane', familyName: 'Doe'},
emails: [{value: 'jane@example.com', primary: true}],
active: true
})
};
fetch('https://{tenant}.cubecloud.dev/api/scim/v2/Users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": true
}
],
"active": true,
"externalId": "<string>",
"meta": {
"resourceType": "<string>",
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>"
}
}Users
Create user
Provisions a new user.
POST
/
scim
/
v2
/
Users
Create user
Authorizations
SCIM bearer token issued from your Cube Cloud account settings.
Body
application/json
A SCIM 2.0 core User resource.
Unique identifier for the user, typically their email address.
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:User"
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether the user is active. Set to false to deactivate.
Identifier of the user as defined by the provisioning client.
Response
201 - application/json
The created user.
A SCIM 2.0 core User resource.
Unique identifier for the user, typically their email address.
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:User"
]
Unique identifier assigned by Cube Cloud. Read-only.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether the user is active. Set to false to deactivate.
Identifier of the user as defined by the provisioning client.
Show child attributes
Show child attributes
⌘I